View Issue Details

This bug affects 2 person(s).
 22
IDProjectCategoryView StatusLast Update
17968Bug reportsConditionspublic2022-04-11 11:12
Reportermeliolli Assigned Togabrieljenik  
PriorityhighSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.x 
Summary17968: conditions designer does not show the right questions to select
Description

When adding conditions via the Conditions Designer, the correct questions are not displayed. The selection of the displayed questions under "previous questions" seems to be random and subsequent questions are also displayed, which should not be available for selection at all.

The questions displayed there also do change randomly when you copy the survey and try to set new conditions.

All questions are also automatically set to condition 1 and if you want to set new conditions, the following note is displayed in the backend:
Note: This question uses a custom condition. If you create a condition with this editor, the current custom condition will be overwritten.

Concerns all surveys and questions in the system and occurred after updating our installation from 3.21.1 to 5.x
We have also tried a completely new empty instance - phenomenon occurs again.

Conditions that could be set correctly because the questions were randomly available for selection in the condition designer work. Setting conditions using ExpressionScript also works. Unfortunately, this is too difficult for regular users.

Details attached (php configuration, screenshots incl. debug mode, lss/lsa file).

Steps To Reproduce

general:

  1. Select question
  2. Click on "Tools" and select the "Condition Designer"
  3. After that you can set the conditions by selecting questions
  4. There are not the correct questions to choose from to set conditions
  5. Also the hint is displayed in the backend with the question

I have provided details for illustration in two screenshots:

screenshot-conditions-designer-01:
Trying to set conditions for question G3Q1 = too few questions are able to select

screenshot-conditions-designer-02:
Trying to set conditions for question G2Q2 = too much questions are able to select, including subsequent questions

TagsNo tags attached.
Bug heat22
Complete LimeSurvey version number (& build)LimeSurvey Community Edition, Version 5.3.4+220309
I will donate to the project if issue is resolvedNo
BrowserAll common borwser
Database type & versiondocker.io/bitnami/mariadb:10.5.13-debian-10-r0
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3.33-1+ubuntu20.04.1+deb.sury.org+1

Relationships

related to 17988 closedgabrieljenik Order of questions in condition designer is arbitrarily / not logical 
has duplicate 17969 closedDenisChenu conditions designer does not show the right questions to select 
related to 16334 closedgalads Condition editor: previous question not available 
related to 17997 closedgabrieljenik Ticket reference number:LS-VPEB-YITR-XYAP. 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

meliolli

meliolli

2022-03-17 11:50

reporter  

limesurvey_survey_258589.lss (33,561 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>484</DBVersion>
 <languages>
  <language>de</language>
 </languages>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[1]]></gid>
    <sid><![CDATA[258589]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
   <row>
    <gid><![CDATA[2]]></gid>
    <sid><![CDATA[258589]]></sid>
    <group_order><![CDATA[2]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
   <row>
    <gid><![CDATA[3]]></gid>
    <sid><![CDATA[258589]]></sid>
    <group_order><![CDATA[3]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </groups>
 <group_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[1]]></id>
    <gid><![CDATA[1]]></gid>
    <group_name><![CDATA[Group 1]]></group_name>
    <description/>
    <language><![CDATA[de]]></language>
    <sid><![CDATA[258589]]></sid>
    <group_order><![CDATA[1]]></group_order>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
   <row>
    <id><![CDATA[2]]></id>
    <gid><![CDATA[2]]></gid>
    <group_name><![CDATA[Group 2]]></group_name>
    <description/>
    <language><![CDATA[de]]></language>
    <sid><![CDATA[258589]]></sid>
    <group_order><![CDATA[2]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
   <row>
    <id><![CDATA[3]]></id>
    <gid><![CDATA[3]]></gid>
    <group_name><![CDATA[Group 3]]></group_name>
    <description/>
    <language><![CDATA[de]]></language>
    <sid><![CDATA[258589]]></sid>
    <group_order><![CDATA[3]]></group_order>
    <randomization_group/>
    <grelevance/>
   </row>
  </rows>
 </group_l10ns>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>encrypted</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>question_theme_name</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[258589]]></sid>
    <gid><![CDATA[1]]></gid>
    <type><![CDATA[5]]></type>
    <title><![CDATA[G1Q1]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[5pointchoice]]></question_theme_name>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[258589]]></sid>
    <gid><![CDATA[1]]></gid>
    <type><![CDATA[5]]></type>
    <title><![CDATA[G1Q2]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[5pointchoice]]></question_theme_name>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[258589]]></sid>
    <gid><![CDATA[2]]></gid>
    <type><![CDATA[5]]></type>
    <title><![CDATA[G2Q1]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[5pointchoice]]></question_theme_name>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[258589]]></sid>
    <gid><![CDATA[2]]></gid>
    <type><![CDATA[5]]></type>
    <title><![CDATA[G2Q2]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[5pointchoice]]></question_theme_name>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[258589]]></sid>
    <gid><![CDATA[3]]></gid>
    <type><![CDATA[5]]></type>
    <title><![CDATA[G3Q1]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[1]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[5pointchoice]]></question_theme_name>
    <modulename/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[258589]]></sid>
    <gid><![CDATA[3]]></gid>
    <type><![CDATA[5]]></type>
    <title><![CDATA[G3Q2]]></title>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <encrypted><![CDATA[N]]></encrypted>
    <question_order><![CDATA[2]]></question_order>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <question_theme_name><![CDATA[5pointchoice]]></question_theme_name>
    <modulename/>
   </row>
  </rows>
 </questions>
 <question_l10ns>
  <fields>
   <fieldname>id</fieldname>
   <fieldname>qid</fieldname>
   <fieldname>question</fieldname>
   <fieldname>help</fieldname>
   <fieldname>script</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <id><![CDATA[1]]></id>
    <qid><![CDATA[1]]></qid>
    <question><![CDATA[Testing]]></question>
    <help><![CDATA[Dies ist eine Frage-Hilfetext.]]></help>
    <script/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[2]]></id>
    <qid><![CDATA[2]]></qid>
    <question><![CDATA[Testing]]></question>
    <help/>
    <script/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[3]]></id>
    <qid><![CDATA[3]]></qid>
    <question><![CDATA[Testing]]></question>
    <help/>
    <script/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[4]]></id>
    <qid><![CDATA[4]]></qid>
    <question><![CDATA[Testing]]></question>
    <help/>
    <script/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[5]]></id>
    <qid><![CDATA[5]]></qid>
    <question><![CDATA[Testing]]></question>
    <help/>
    <script/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <id><![CDATA[6]]></id>
    <qid><![CDATA[6]]></qid>
    <question><![CDATA[Testing]]></question>
    <help/>
    <script/>
    <language><![CDATA[de]]></language>
   </row>
  </rows>
 </question_l10ns>
 <question_attributes>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>attribute</fieldname>
   <fieldname>value</fieldname>
   <fieldname>language</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[slider_rating]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[1]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[slider_rating]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[2]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[slider_rating]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[3]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[slider_rating]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[4]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[slider_rating]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[5]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[clear_default]]></attribute>
    <value><![CDATA[N]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[cssclass]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[em_validation_q]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[em_validation_q_tip]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[hidden]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[hide_tip]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[page_break]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[printable_help]]></attribute>
    <value/>
    <language><![CDATA[de]]></language>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[public_statistics]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[random_group]]></attribute>
    <value/>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[save_as_default]]></attribute>
    <value><![CDATA[Y]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[slider_rating]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[statistics_graphtype]]></attribute>
    <value><![CDATA[0]]></value>
    <language/>
   </row>
   <row>
    <qid><![CDATA[6]]></qid>
    <attribute><![CDATA[statistics_showgraph]]></attribute>
    <value><![CDATA[1]]></value>
    <language/>
   </row>
  </rows>
 </question_attributes>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>ipanonymize</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
   <fieldname>tokenencryptionoptions</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[258589]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[inherit]]></admin>
    <adminemail><![CDATA[inherit]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <format><![CDATA[I]]></format>
    <savetimings><![CDATA[I]]></savetimings>
    <template><![CDATA[inherit]]></template>
    <language><![CDATA[de]]></language>
    <additional_languages/>
    <datestamp><![CDATA[I]]></datestamp>
    <usecookie><![CDATA[I]]></usecookie>
    <allowregister><![CDATA[I]]></allowregister>
    <allowsave><![CDATA[I]]></allowsave>
    <autonumber_start><![CDATA[0]]></autonumber_start>
    <autoredirect><![CDATA[I]]></autoredirect>
    <allowprev><![CDATA[I]]></allowprev>
    <printanswers><![CDATA[I]]></printanswers>
    <ipaddr><![CDATA[I]]></ipaddr>
    <ipanonymize><![CDATA[I]]></ipanonymize>
    <refurl><![CDATA[I]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[I]]></publicstatistics>
    <publicgraphs><![CDATA[I]]></publicgraphs>
    <listpublic><![CDATA[I]]></listpublic>
    <htmlemail><![CDATA[I]]></htmlemail>
    <sendconfirmation><![CDATA[I]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[I]]></tokenanswerspersistence>
    <assessments><![CDATA[I]]></assessments>
    <usecaptcha><![CDATA[E]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[inherit]]></bounce_email>
    <emailresponseto><![CDATA[inherit]]></emailresponseto>
    <emailnotificationto><![CDATA[inherit]]></emailnotificationto>
    <tokenlength><![CDATA[-1]]></tokenlength>
    <showxquestions><![CDATA[I]]></showxquestions>
    <showgroupinfo><![CDATA[I]]></showgroupinfo>
    <shownoanswer><![CDATA[I]]></shownoanswer>
    <showqnumcode><![CDATA[I]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[I]]></showwelcome>
    <showprogress><![CDATA[I]]></showprogress>
    <questionindex><![CDATA[-1]]></questionindex>
    <navigationdelay><![CDATA[-1]]></navigationdelay>
    <nokeyboard><![CDATA[I]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[I]]></alloweditaftercompletion>
    <tokenencryptionoptions/>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[258589]]></surveyls_survey_id>
    <surveyls_language><![CDATA[de]]></surveyls_language>
    <surveyls_title><![CDATA[Meli testing condidions conditions]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_policy_notice/>
    <surveyls_policy_notice_label/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Einladung zu einer Umfrage]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Hiermit möchten wir dich zu einer Umfrage einladen.<br />
<br />
Der Titel der Umfrage ist <br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
Um an dieser Umfrage teilzunehmen, klicke bitte auf den unten stehenden Link.<br />
<br />
Mit freundlichen Grüßen,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Klicke hier um die Umfrage zu starten:<br />
{SURVEYURL}<br />
<br />
Wenn Sie an diese Umfrage nicht teilnehmen und keine weiteren Erinnerungen erhalten möchten, klicken Sie bitte auf den folgenden Link:<br />
{OPTOUTURL}<br />
<br />
Wenn Sie geblockt sind, jedoch wieder teilnehmen und weitere Einladungen erhalten möchten, klicken Sie bitte auf den folgenden Link:<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Erinnerung an die Teilnahme an einer Umfrage]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Vor kurzem haben wir dich zu einer Umfrage eingeladen.<br />
<br />
Zu unserem Bedauern haben wir bemerkt, dass du die Umfrage noch nicht ausgefüllt hast. Wir möchten dir mitteilen, dass die Umfrage noch aktiv ist, und würden uns freuen, wenn du teilnehmen könntest.<br />
<br />
Der Titel der Umfrage ist <br />
'{SURVEYNAME}'<br />
<br />
'{SURVEYDESCRIPTION}'<br />
<br />
Um an dieser Umfrage teilzunehmen, klicke bitte auf den unten stehenden Link.<br />
<br />
 Mit freundlichen Grüßen,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Klicke hier, um die Umfrage zu starten:<br />
{SURVEYURL}<br />
<br />
Wenn Sie an diese Umfrage nicht teilnehmen und keine weiteren Erinnerungen erhalten möchten, klicken Sie bitte auf den folgenden Link:<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Registrierungsbestätigung für Teilnahmeumfrage]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Hallo {FIRSTNAME},<br />
<br />
du (oder jemand, der deine E-Mail-Adresse angegeben hat) hast dich für eine Umfrage mit dem Titel {SURVEYNAME} angemeldet.<br />
<br />
Um an dieser Umfrage teilzunehmen, klicke bitte auf folgenden Link:<br />
<br />
{SURVEYURL}<br />
<br />
Wenn du irgendwelche Fragen zu dieser Umfrage hast oder wenn du dich nicht für diese Umfrage angemeldet hast und glaubst, dass dir diese E-Mail irrtümlicherweise zugeschickt worden ist, kontaktiere bitte {ADMINNAME} unter {ADMINEMAIL}.]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Bestätigung für die Teilnahme an unserer Umfrage]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Hallo {FIRSTNAME},<br />
<br />
Vielen Dank für die Teilnahme an der Umfrage mit dem Titel {SURVEYNAME}. Deine Antworten wurden bei uns gespeichert.<br />
<br />
Wenn du irgendwelche Fragen zu dieser E-Mail hast, kontaktiere bitte {ADMINNAME} unter {ADMINEMAIL}.<br />
<br />
Mit freundlichen Grüßen,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Antwortabsendung für Umfrage {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Hallo,<br />
<br />
Eine neue Antwort wurde für die Umfrage '{SURVEYNAME}' abgegeben.<br />
<br />
Klicke auf den folgenden Link um den Antwortdatensatz anzusehen:<br />
{VIEWRESPONSEURL}<br />
<br />
Klicke auf den folgenden Link um den Antwortdatensatz zu bearbeiten:<br />
{EDITRESPONSEURL}<br />
<br />
Um die Statistik zu sehen, klicke hier:<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Antwortabsendung für Umfrage {SURVEYNAME} mit Ergebnissen]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Hallo,<br />
<br />
Eine neue Antwort wurde für die Umfrage '{SURVEYNAME}' abgegeben.<br />
<br />
Klicken Sie auf den folgenden Link um den Antwortdatensatz anzusehen:<br />
{VIEWRESPONSEURL}<br />
<br />
Klicken Sie auf den folgenden Link um den Antwortdatensatz zu bearbeiten:<br />
{EDITRESPONSEURL}<br />
<br />
Um die Statistik zu sehen, klicken Sie hier:<br />
{STATISTICSURL}<br />
<br />
<br />
Die folgenden Antworten wurden vom Teilnehmer gegeben:<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[1]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>258589</sid>
   <template_name>fruity</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>258589</sid>
   <template_name>fruity</template_name>
   <config>
    <options>
     <ajaxmode>off</ajaxmode>
     <brandlogo>on</brandlogo>
     <brandlogofile>themes/survey/fruity/files/logo.png</brandlogofile>
     <container>on</container>
     <backgroundimage>off</backgroundimage>
     <animatebody>off</animatebody>
     <bodyanimation>fadeInRight</bodyanimation>
     <bodyanimationduration>500</bodyanimationduration>
     <animatequestion>off</animatequestion>
     <questionanimation>flipInX</questionanimation>
     <questionanimationduration>500</questionanimationduration>
     <animatealert>off</animatealert>
     <alertanimation>shake</alertanimation>
     <alertanimationduration>500</alertanimationduration>
     <font>noto</font>
     <bodybackgroundcolor>#ffffff</bodybackgroundcolor>
     <fontcolor>#444444</fontcolor>
     <questionbackgroundcolor>#ffffff</questionbackgroundcolor>
     <questionborder>on</questionborder>
     <questioncontainershadow>on</questioncontainershadow>
     <checkicon>f00c</checkicon>
     <animatecheckbox>on</animatecheckbox>
     <checkboxanimation>rubberBand</checkboxanimation>
     <checkboxanimationduration>500</checkboxanimationduration>
     <animateradio>on</animateradio>
     <radioanimation>zoomIn</radioanimation>
     <radioanimationduration>500</radioanimationduration>
     <zebrastriping>off</zebrastriping>
     <stickymatrixheaders>off</stickymatrixheaders>
     <greyoutselected>off</greyoutselected>
     <hideprivacyinfo>off</hideprivacyinfo>
     <crosshover>off</crosshover>
     <showpopups>1</showpopups>
     <showclearall>off</showclearall>
     <questionhelptextposition>top</questionhelptextposition>
     <notables>1</notables>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
limesurvey_survey_258589.lss (33,561 bytes)   
Mazi

Mazi

2022-03-31 12:15

updater   ~68838

I confirm that this is still an issue at the latest Limesurvey version. The ordering of questions in the condition editor is totally messed up which can partially prevent users from seting conditions.

image.png (159,942 bytes)
gabrieljenik

gabrieljenik

2022-04-05 20:03

manager   ~68904

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2332

gabrieljenik

gabrieljenik

2022-04-07 12:26

manager   ~68921

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33388

LimeBot

LimeBot

2022-04-11 11:12

administrator   ~68976

Fixed in Release 5.3.9+220411

Related Changesets

LimeSurvey: master 0726f1f5

2022-04-07 12:26:07

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17968: conditions designer does not show the right questions to select (#2332)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Affected Issues
17968
mod - application/controllers/admin/ConditionsAction.php Diff File
mod - application/helpers/common_helper.php Diff File

Issue History

Date Modified Username Field Change
2022-03-17 11:50 meliolli New Issue
2022-03-17 11:50 meliolli File Added: limesurvey_survey_258589.lss
2022-03-17 11:50 meliolli File Added: PHP 7.3.33-1+ubuntu20.04.1+deb.sury.org+1 - phpinfo().htm.txt
2022-03-17 11:50 meliolli File Added: screenshot-conditions-designer-01.jpg
2022-03-17 11:50 meliolli File Added: screenshot-conditions-designer-02.jpg
2022-03-17 12:04 DenisChenu Relationship added has duplicate 17969
2022-03-17 12:04 DenisChenu Bug heat 0 => 6
2022-03-17 12:04 DenisChenu Bug heat 6 => 8
2022-03-17 12:05 meliolli Bug heat 8 => 10
2022-03-17 13:06 galads Assigned To => gabrieljenik
2022-03-17 13:06 galads Priority none => high
2022-03-17 13:06 galads Status new => assigned
2022-03-17 13:06 galads Zoho Project Synchronization => |Yes|
2022-03-17 13:07 galads Zoho Project Synchronization Yes =>
2022-03-17 13:07 galads Zoho Project Synchronization => |Yes|
2022-03-18 22:16 guest Bug heat 10 => 16
2022-03-31 12:13 Mazi Relationship added related to 16334
2022-03-31 12:13 Mazi Relationship added related to 17988
2022-03-31 12:15 Mazi Note Added: 68838
2022-03-31 12:15 Mazi File Added: image.png
2022-03-31 12:15 Mazi Bug heat 16 => 18
2022-04-05 20:03 gabrieljenik Status assigned => testing
2022-04-05 20:03 gabrieljenik Note Added: 68904
2022-04-05 20:03 gabrieljenik Bug heat 18 => 20
2022-04-06 16:39 gabrieljenik Relationship added related to 17997
2022-04-07 12:26 gabrieljenik Changeset attached => LimeSurvey master 0726f1f5
2022-04-07 12:26 gabrieljenik Note Added: 68921
2022-04-07 12:26 gabrieljenik Resolution open => fixed
2022-04-11 11:12 LimeBot Zoho Project Synchronization Yes => |Yes|
2022-04-11 11:12 LimeBot Note Added: 68976
2022-04-11 11:12 LimeBot Status testing => closed
2022-04-11 11:12 LimeBot Bug heat 20 => 22